Method: projects.apps.debugTokens.delete

Deletes the specified DebugToken.

A deleted debug token cannot be used to exchange for an App Check token. Use this method when you suspect the secret token has been compromised or when you no longer need the debug token.

HTTP request

DELETE https://firebaseappcheck.googleapis.com/v1/{name=projects/*/apps/*/debugTokens/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The relative resource name of the DebugToken to delete, in the format:

projects/{project_number}/apps/{app_id}/debugTokens/{debug_token_id}

Query parameters

Parameters
etag

string

Optional. The checksum to be validated against the current DebugToken, to ensure the client has an up-to-date value before proceeding. This checksum is computed by the server based on the values of fields in the DebugToken object, and can be obtained from the DebugToken object received from the last debugTokens.create, debugTokens.get, debugTokens.list, or debugTokens.patch call.

This etag is strongly validated as defined by RFC 7232.

Request body

The request body must be empty.

Response body

If successful, the response body is an empty JSON object.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/firebase

For more information, see the OAuth 2.0 Overview.